<?php 
/**
* actividad.php
*
* aplicacin para cargar nuevos puntos de relevamiento
*  
* 
* @package    	Plataforma Colectiva de Informacin Territorial: UBATIC2014
* @subpackage 	actividad
* @author     	Universidad de Buenos Aires
* @author     	<mario@trecc.com.ar>
* @author    	http://www.uba.ar/
* @author    	http://www.trecc.com.ar/recursos/proyectoubatic2014.htm
* @author		based on TReCC SA Procesos Participativos Urbanos, development. www.trecc.com.ar/recursos
* @copyright	2015 Universidad de Buenos Aires
* @copyright	esta aplicacin se desarrollo sobre una publicacin GNU 2014 TReCC SA
* @license    	http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 (GPL-3.0)
* Este archivo es parte de TReCC(tm) paneldecontrol y de sus proyectos hermanos: baseobra(tm), TReCC(tm) intraTReCC  y TReCC(tm) Procesos Participativos Urbanos.
* Este archivo es software libre: tu puedes redistriburlo 
* y/o modificarlo bajo los trminos de la "GNU General Public License" 
* publicada por la Free Software Foundation, version 3
* 
* Este archivo es distribuido por si mismo y dentro de sus proyectos 
* con el objetivo de ser til, eficiente, predecible y transparente
* pero SIN NIGUNA GARANTA; sin siquiera la garanta implcita de
* CAPACIDAD DE MERCANTILIZACIN o utilidad para un propsito particular.
* Consulte la "GNU General Public License" para ms detalles.
* 
* Si usted no cuenta con una copia de dicha licencia puede encontrarla aqu: <http://www.gnu.org/licenses/>.
* 
*
*/

//if($_SERVER[SERVER_ADDR]=='192.168.0.252')ini_set('display_errors', '1');ini_set('display_startup_errors', '1');ini_set('suhosin.disable.display_errors','0'); error_reporting(-1);

// verificacin de seguridad 
include('./includes/conexion.php');
include('./includes/conexionusuario.php');

// funciones frecuentes
include("./includes/fechas.php");
include("./includes/cadenas.php");

$UsuarioI = $_SESSION['USUARIOID'];
if($UsuarioI==""){header('Location: ./login.php');}

// funcin de consulta de actividades a la base de datos 
include("./actividades_consulta.php");

$ID = isset($_GET['actividad'])?$_GET['actividad'] : '';
$RID = isset($_GET['registro'])?$_GET['registro'] : '';

$Hoy_a = date("Y");
$Hoy_m = date("m");	
$Hoy_d = date("d");
$HOY = $Hoy_a."-".$Hoy_m."-".$Hoy_d;	

// define si se esta defininedo una argumentacin, de no ser as esta aplicacin solo devuelve un mensaje escrito
if(isset($_POST['actividad'])){
	$Actividad=$_POST['actividad'];
	$ACCION = $_POST['accion'];
}elseif(isset($_GET['actividad'])){
	$Actividad=$_GET['actividad'];
}else{
	$Actividad='';
}
if($Actividad==''){
	header('location: ./actividades.php');	//si no hay una actividad definida esta pgina no debera consultarse
	echo "ERROR de Acceso 1";
	break;
}

// el reingreso a esta direccin desde su propio formulario php crea o modifica un registro de actividad 
if(isset($_POST['accion'])){
	$accion =$_POST['accion'];
	
	if($accion=='crear'){
		$query="
		INSERT INTO 
			`MAPAUBA`.`actividades`
			SET
			`zz_AUTOUSUARIOCREAC`='".$UsuarioI."'
		";
		mysql_query($query,$Conec1);
		$NID=mysql_insert_id($Conec1);
		if($NID!=''){
			$ID=$NID;
		}else{
			$mensaje="<div class='error'>no se ha podido crear el nuevo registro, por favor vuelva a intentar}";
		}
	}	
}

	
// medicion de rendimiento lamp 
	$starttime = microtime(true);

// filtro de representacin restringe documentos visulazados, no altera datos estadistitico y de agregacin 
	$FILTRO=isset($_GET['filtro'])?$_GET['filtro']:'';	
	
// filtro temporal de representacin restringe documentos visulazados, no altera datos estadistitico y de agregacin 	
	$fechadesde_a=isset($_GET['fechadesde_a'])?str_pad($_GET['fechadesde_a'], 4, "0", STR_PAD_LEFT):'0000';
	$fechadesde_m=isset($_GET['fechadesde_m'])?str_pad($_GET['fechadesde_m'], 2, "0", STR_PAD_LEFT):'00';
	$fechadesde_d=isset($_GET['fechadesde_d'])?str_pad($_GET['fechadesde_d'], 2, "0", STR_PAD_LEFT):'00';
	if($fechadesde_a!='0000'&&$fechadesde_m!='00'&&$fechadesde_d!='00'){
		$FILTROFECHAD=$fechadesde_a."-".$fechadesde_m."-".$fechadesde_d;
	}else{
		$FILTROFECHAD='';
	}
	$fechahasta_a=isset($_GET['fechahasta_a'])?str_pad($_GET['fechahasta_a'], 4, "0", STR_PAD_LEFT):'0000';
	$fechahasta_m=isset($_GET['fechahasta_m'])?str_pad($_GET['fechahasta_m'], 2, "0", STR_PAD_LEFT):'00';
	$fechahasta_d=isset($_GET['fechahasta_d'])?str_pad($_GET['fechahasta_d'], 2, "0", STR_PAD_LEFT):'00';
	if($fechahasta_a!='0000'&&$fechahasta_m!='00'&&$fechahasta_d!='00'){
		$FILTROFECHAH=$fechahasta_a."-".$fechahasta_m."-".$fechahasta_d;
	}else{	
		$FILTROFECHAH='';
	}

	// funcin para obtener listado formateado html de actividades 
	$Contenido =  reset(actividadesconsulta($ID,$seleccion));
	//echo "<pre>";print_r($Contenido);echo "</pre>";
	if($UsuarioI==$Contenido['zz_AUTOUSUARIOCREAC']){
		$Administracion='activa';
	}else{

	}

	
	$Actividad=reset(actividadesconsulta($ID,$seleccion));
	//echo "<pre>";print_r($Actividad);echo "</pre>";
	if($Actividad['zz_PUBLICO']!='1'&&$Actividad['zz_AUTOUSUARIOCREAC']!=$UsuarioI){
		echo "<h2>Error en el acceso, esta actividad no se encuentra an publicada y usted no se encuentra registrado como autor de la misma.</h2>";
		break;
	}
	
	
	if($RID>0){
		$Registro=$Actividad['GEO'][$RID];
		//print_r($Registro);
		if($Registro['id_usuarios']==$UsuarioI){
			$Accion='cambia';
			$Valores=$Registro;
			$AccionTx='Guardar cambios';
		}else{
			$Accion='ver';
			$ValoresRef=$Registro;
			$AccionTx='';			
		}
	}else{
		$Accion='crear';
		$AccionTx='Guardar punto';
	}
?>

	<title>MAPAUBA - Registro de Actores para los procesos participativos</title>
	<?php include("./includes/meta.php");?>
	<link href="css/treccppu.css" rel="stylesheet" type="text/css">
	<link href="css/mapauba.css" rel="stylesheet" type="text/css">	
	
	<style type='text/css'>
		.dato.fecha{
		    width: 60px;
		}
		.dato.autor{
		    width: 90px;
		}		
		.dato.descripcion{
		    width: 180px;
		}		
		
		.dato.localizaciones, .dato.imagenes{
			font-size: 11px;
		}
		
		.elemento {
		    background-color: #ADD8E6;
		    border: 2px solid #08AFD9;
		    cursor: pointer;
		    display: inline-block;
		    font-size: 10px;
		    height: 14px;
		    overflow: hidden;
		    padding: 2px 1px;
		    position: relative;
		    width: 16px;
		 }
		 
		
		li{
			border:2px solid transparent;
		}
		
		li:hover div.punto{
			border-color:blue;
		}
		
		
		label, .aclaracion{			
		    display: inline-block;
		    font-weight: normal;
		    margin-right: 2px;
		    text-align: right;
		    vertical-align: middle;
		    width: 200px;
		}
		
		label.lon{
			width:50px;
		}
		
		label{
			 height: 26px;
		}
		.aclaracion{	
		 	text-align: left;
		 	margin:2px;
		 	border:none;		
		}
		
		.agregar{
			border:2px solid #f55;
			background-color:#ffb;
			margin: 10px;
			display:inline-block;
			position:relative;
			width:750px;
		}
		.agregar form{
			margin: 0px;
		}
				
		.agregar input,.agregar select{
			color: #f55;
			background-color:#ffb;
			vertical-align: middle;
			margin-top:2px;
			margin-bottom:2px;
		}	
		.agregar label,.agregar .aclaracion{
			color: #f55;
		}	
		
		form#adjuntador{
		    left: 442px;
		    position: absolute;
		    top: 27px;
		}		
				
			input#link{
				width: 236px;
			}		
				
		#inputsubmit{
			position:absolute;
			top:0px;
			right:0px;
			width:100px;
		}	
		#elimina{
			position:absolute;
			top:22px;
			right:0px;
			width:100px;
			background-color:red;
			color:#fff;
		}			
		
		#texto_parent{
			display: inline-block;
   			vertical-align: middle;
		}
		div#texto_parent{
		    border: 1px solid #f55;
		    font-size: 12px;
		    height: 100px;
		    overflow-y: auto;
		    padding: 5px;
		    width: 530px;
		}
		#texto_parent>p{
			font-size: 12px;
			text-align:justify;
		}
		
		#tinymce{
			background-color:#ffb;
		}
		.resumen{
			font-size:15px;
			font-weight:normal;
		}
		
		#uploadinput{
			width:90px;
		}
		
		#inputcatgorianueva{
			width:236px;
		}
			

	</style>
	
	
</head>

<body>
	
	<?php
	include('./includes/encabezado.php');
	
	if($ID!=''){
	?>	
	<div class='recuadro' id="recuadro3" >
		<h4>Puntos relevados en esta actividad</h4>
		<ul id='puntosdeactividad'>		
		</ul>
		
	
	</div>
	<div class='recuadro' id="recuadro2" >			
		<h4>Puntos visualizados del banco de datos</h4>
		<ul id='puntosdebase'>		
		</ul>		
	</div>
	<?php
	}
	?>
	
	<div id="pageborde"><div id="page">
		<h1>Actividad: <span class='resumen'><?php echo $Actividad['resumen'];?></span></h1>
		<?php
			if($Administracion=='activa'){
				echo "<a href='./actividad_config.php?actividad=$ID'>configurar esta actividad</a>";
			}
		?>

		<iframe name='mapa' id='mapa' src='./MAPAactividad.php?actividad=<?php echo $Actividad['id'];?>&consulta=marcarpuntos&rid=<?php echo $RID;?>'></iframe>
		
		<?php
			// formulario para agregar una nueva actividad		
		if($ID==''){
				echo "la actividad no fue llamada correctamnte";
		}else{
			
				echo "<p>".$Actividad['consigna']."</p>";
				echo "<div class='agregar'> ";
				
					if($Accion=='ver'){			
								echo "<label for='y'>Lat:</label><span type='text' name='y' id='y'>".$ValoresRef['y']."</span>";
								echo "<label class='lon' for='x'>Lon:</label><span type='text' name='x' id='x'>".$ValoresRef['x']."</span>";
								echo "<br><label for='link'>Adjunto / weblink</label>";
								echo "<span name='link' id='link'>".$ValoresRef['link']."</span>";
								echo "<img id='adjunto' src='".$ValoresRef['link']."'>";							
								
								if($Actividad['valorAct']=='1'){
									$Vtx=$Actividad['valorDat'];if(str_replace(" ","",$Vtx)==''){$Vtx='valor';}
									echo "<br><label for='valor'>$Vtx</label>";
									echo "<span name='valor' id='valor' value='".$ValoresRef['valor']."'><div class='aclaracion'>".$Actividad['valorUni']."</div>";	
								}
								
								if($Actividad['textobreveAct']=='1'){
									echo "HOLLLAA";
									$TBtx=$Actividad['textobreve'];if(str_replace(" ","",$TBtx)==''){$TBtx='textobreve';}
									echo "<br><label for='textobreve'>$TBtx</label>";
									echo "<span name='valor' id='textobreve' value='".$ValoresRef['textobreve']."'></span>";
								}
								
								if($Actividad['categAct']=='1'){
									$Ctx=$Actividad['categDat'];if(str_replace(" ","",$Ctx)==''){$Ctx='categoria';}
									echo "<br><label for='valor'>$Ctx</label>";
									
									foreach($Actividad['ACTcategorias'] as $cat){
										if($ValoresRef['categoria']==$cat['id']){
											echo $cat['nombre'];
										}
									}
									
								}
								if($Actividad['textoAct']=='1'){
									echo "<br><label for='texto'>".$Actividad['textoDat']."</label>";
									echo "<div id='texto_parent' id='texto'>".$ValoresRef['texto']."</div>";
								}
					}else{
						
					echo "<form id='formPuntos' enctype='multipart/form-data' method='post' action='./MAPAactividad.php' target='mapa'>";
						echo "<input type='hidden' name='actividad' value='".$Actividad['id']."'>";
						if($Accion=="cambia"&&$RID>0){
								echo "<input type='hidden' name='rid' value='$RID'>";
						}
						
						echo "<input id='inputsubmit' type='submit' value='$AccionTx'>";
						if($Accion=="cambia"&&$RID>0){
							echo "<input id='elimina' type='button' value='Borrar punto' onclick='document.getElementById(\"inputAccion\").value=\"borrar\";this.parentNode.submit();'>";
						}
						echo "<label for='y'>Lat:</label><input type='text' name='y' id='y' value='".$Valores['y']."'>";
						echo "<label class='lon' for='x'>Lon:</label><input type='text' name='x' id='x' value='".$Valores['x']."'>";
						echo "<br><label for='link'>Adjunto / weblink</label>";
						echo "<input name='link' id='link' value='".$Valores['link']."'>";
						echo "<img id='adjunto' src='".$Valores['link']."'>";
						
						echo "<input id='inputAccion' type='hidden' name='accion' value='$Accion'>";
						
						if($Actividad['valorAct']=='1'){
							$Vtx=$Actividad['valorDat'];if(str_replace(" ","",$Vtx)==''){$Vtx='valor';}
							echo "<br><label for='valor'>$Vtx</label>";
							echo "<input name='valor' id='valor' value='".$Valores['valor']."'><div class='aclaracion'>".$Actividad['valorUni']."</div>";	
						}
						
						if($Actividad['textobreveAct']=='1'){
							$Vtx=$Actividad['textobreveDat'];if(str_replace(" ","",$Vtx)==''){$Vtx='texto breve';}
							echo "<br><label for='textobreve'>$Vtx</label>";
							echo "<input name='textobreve' id='textobreve' value='".$Valores['textobreve']."'>";	
						}						
						
						if($Actividad['categAct']=='1'){
							$Ctx=$Actividad['categDat'];if(str_replace(" ","",$Ctx)==''){$Ctx='categoria';}
							echo "<br><label for='valor'>$Ctx</label>";
							echo "<select id='inputcatgoriaexistente' name='categoria'>";
								echo "<option style='border:1px solid #550;' value=''>-elegir categoria-</option>";
							foreach($Actividad['ACTcategorias'] as $cat){
								if($Valores['categoria']==$cat['id']){$sel=" selected='selected' ";}else{$sel='';}
								echo "<option $sel style='color:".$cat['CO_color'].";border:1px solid ".$cat['CO_color'].";' value='".$cat['id']."'>";
									echo $cat['nombre'];
								echo" </option>";
							}
							
							echo "</select>";
							
							if($Actividad['categLib']=='1'){
								echo "<input disabled='disabled' id='inputcatgorianueva' style='display:none' name='nuevacategoria' type='text' value='-escriba el nombre de la nueva categora-' onclick='validarContenido(this);'>";
								echo "<input type='button' value='crear categora' onclick='document.getElementById(\"inputcatgoriaexistente\").style.display=\"none\";document.getElementById(\"inputcatgorianueva\").style.display=\"inline-block\";document.getElementById(\"inputcatgorianueva\").removeAttribute(\"disabled\");this.style.display=\"none\";'>";
							}	
						}
						if($Actividad['textoAct']=='1'){
							echo "<br><label for='texto'>".$Actividad['textoDat']."</label>";
							echo "<textarea name='texto' id='texto'>".$Valores['texto']."</textarea>";
						}
					echo "
						</form>
					
							<form id='adjuntador' enctype='multipart/form-data' method='post' action='./agrega_adjunto.php' target='cargaimagen'>";
					echo "<label style='position:relative;' class='upload'>";
					
						echo "<span id='upload' style='position:absolute;top:0px;left:0px;'>arrastre o busque aqu un archivo</span>";
						echo "<input id='uploadinput' style='position:relative;opacity:0;' type='file' name='upload' value='' onchange='this.parentNode.parentNode.submit();'></label>";
						echo "<input type='hidden' name='actividad' value='".$Actividad['id']."'>";
					echo "<iframe id='cargaimagen' name='cargaimagen'></iframe>";
					}
				echo "</div>";
				
		}
		?>
	
	</div></div>
	
<script type='text/javascript'>

		
		function validarContenido(_this){
			if(_this.value=='-agregar nuevo-'){
				_this.setAttribute('value','');
			}
			if(_this.value=='-escriba el nombre de la nueva categora-'){
				_this.setAttribute('value','');
			}
		}
	/*
    var dropZone = document.getElementById('upload');
    var fileinput=    document.getElementById('uploadinput');

    // Optional.   Show the copy icon when dragging over.  Seems to only work for chrome.
    dropZone.addEventListener('dragover', function(e) {
        e.stopPropagation();
        e.preventDefault();
        e.dataTransfer.dropEffect = 'copy';
    });
    

    // Get file data on drop
    dropZone.addEventListener('drop', function(e) {
        e.stopPropagation();
        e.preventDefault();
        var files = e.dataTransfer.files; // Array of all files
        
        
        
         for (var i=0, file; file=files[i]; i++) {
         	
         	
                fileinput.setAttribute('value',file);
                console.log(file);
   		 }
 
     });*/
</script>

<?php
include('./includes/pie.php');
	/*medicion de rendimiento lamp*/
	$endtime = microtime(true);
	$duration = $endtime - $starttime;
	$duration = substr($duration,0,6);
	echo "<br>tiempo de respuesta : " .$duration. " segundos";
?>
</body>

<!-- este proyecto recurre al proyecto tiny_mce para las funciones de edicin de texto -->
<script type="text/javascript" src="./js/editordetexto/tiny_mce.js"></script>
<script type="text/javascript">

		tinyMCE.init({
				
	        // General options
	        mode : "textareas",
	        theme : "advanced",
	        plugins : "autolink,lists,spellchecker,pagebreak,style,layer,table,save,advhr,advimage,advlink,emotions,iespell,inlinepopups,insertdatetime,preview,media,searchreplace,print,contextmenu,paste,directionality,fullscreen,noneditable,visualchars,nonbreaking,xhtmlxtras,template",

			force_p_newlines : true,
			force_br_newlines : false,
			convert_newlines_to_brs : true,
			remove_linebreaks : false,
			
			width : "540px",
			height : "120px",
	
	        // Theme options
	        theme_advanced_buttons1 : "bold,italic,underline,strikethrough,|,justifyleft,justifycenter,justifyright,justifyfull,|,formatselect,fontsizeselect|cut,copy,paste,pastetext,pasteword,|,bullist,numlist,|,link,unlink|visualchars,nonbreaking,blockquote|tablecontrols,|,removeformat,visualaid,",
	        theme_advanced_toolbar_location : "top",
	        theme_advanced_toolbar_align : "left",
	        theme_advanced_statusbar_location : false,
	
	        // Skin options
	        skin : "o2k7",
	        skin_variant : "silver",
	
	        // Example content CSS (should be your site CSS)
	        content_css : "./css/mapauba_texto.css",
	
	        // Drop lists for link/image/media/template dialogs
	        template_external_list_url : "js/template_list.js",
	        external_link_list_url : "js/link_list.js",
	        external_image_list_url : "js/image_list.js",
	        media_external_list_url : "js/media_list.js",
	
	        // Replace values for the template plugin
	       	 template_replace_values : {
	                username : "Some User",
	                staffid : "991234"
	        }
		});
</script>